      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION  DIVISION.
       PROGRAM-ID.     SEIKYU3735.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 
      *  ݡͥ̾  : ⾾ԡҰ
      *                      (111)
      *              : 
      *      ȼ                          
      *  10/08/03    ϡСեȥ          
      *****************************************************************
      *  ץཤ
      *    			
      *
      *****************************************************************
      *
       ENVIRONMENT   DIVISION.
       CONFIGURATION SECTION.
       INPUT-OUTPUT  SECTION.
       FILE-CONTROL.
      *
      *    ѥե
           SELECT  MF100-FILE   ASSIGN    MF100PARA
                               ORGANIZATION    IS  INDEXED
                               ACCESS  MODE    IS  DYNAMIC
                               RECORD  KEY     IS  MF100-KEY
                               FILE    STATUS  IS  STS-MF100.
      *
006900*    顼ե
           SELECT  RECEERR-FILE ASSIGN  RECEERR
                                FILE    STATUS  IS  STS-RECEERR.
      *
      *    ͻؾե
           SELECT  KINYU-FILE    ASSIGN FILE-NAME
                                 ORGANIZATION   IS  LINE SEQUENTIAL
                                 ACCESS MODE    IS  SEQUENTIAL
                                 FILE   STATUS  IS  STS-KINYU.
      *
       DATA  DIVISION.
       FILE  SECTION.
      *
      *    ץե
       FD  MF100-FILE.
       01  MF100-REC.
           COPY  "SEI3735.INC".
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC  PIC X(200).
      * 
      *    ե
       FD  KINYU-FILE.
       01  KINYU-REC.
           03  KINYU-KINYUDATA           PIC X(14).
           03  FILLER                    PIC X(01).
      *
       WORKING-STORAGE  SECTION.
      *
           COPY  "CPCOMMONDAT2.INC"
                   REPLACING  //RECE01//
                   BY         //MF100//.
      *
      *    顼ե ̾ΰ
           COPY    "CPERRFL.INC"    REPLACING  //ERRFLPARA//
                                    BY         //RECEERR//.
      *
      *    ѥǡ
           COPY  "SC3735.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-MF100    PIC X(02).
           03  STS-RECE02   PIC X(02).
           03  STS-RECEERR  PIC X(02).
           03  STS-KINYU    PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-PTINF      PIC 9(01).
           03  FLG-END        PIC 9(01).
           03  FLG-PRINT      PIC 9(01).
           03  FLG-SYSKANRI   PIC 9(01).
           03  FLG-SYUNOU     PIC 9(01).
           03  FLG-PTNYUINRRK PIC 9(01).
           03  FLG-HKNCOMBI   PIC 9(01).
           03  FLG-TYOKI      PIC 9(01).
           03  FLG-HEIYOU     PIC 9(01).
           03  FLG-MF100      PIC 9(01).
           03  FLG-ERR        PIC 9(01).
           03  FLG-BTPARA     PIC 9(01).
           03  FLG-SYORI      PIC 9(01).
           03  FLG-PTKOHINF   PIC 9(01).
           03  FLG-KOGAKU     PIC 9(01). 
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX            PIC 9(04).
           03  IDXX           PIC 9(04).
           03  IDX1           PIC 9(04).
           03  IDX2           PIC 9(04).
           03  IDX3           PIC 9(04).
           03  IDY            PIC 9(04).
           03  IDZ            PIC 9(04).
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-SYORIFLG   PIC X(01).
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-RECEERR           PIC X(200).
           03  WRK-Z2                PIC ZZ.
           03  WRK-Z3                PIC ZZZ.
           03  WRK-Z6                PIC ZZ,ZZZ.
           03  WRK-Z7                PIC ZZZ,ZZZ.
           03  WRK-Z9                PIC Z,ZZZ,ZZZ.
           03  WRK-SRYYMWH           PIC X(16).
           03  WRK-SEIYMDWH          PIC X(22).
           03  WRK-HENYMDG           PIC X(22).
           03  WRK-SYMD.
               05  WRK-SYY           PIC 9(04).
               05  WRK-SMM           PIC 9(02).
               05  WRK-SDD           PIC 9(02).
           03  WRK-LASTYMD           PIC 9(08).
           03  WRK-HKNJANUM          PIC X(05).
      *
           03  WRK-SYUKEI.
               05  WRK-KOHFTNGK      PIC 9(07).
               05  WRK-KOHFTNGK-G    PIC 9(07).
               05  WRK-FTNMONEY      PIC 9(07).
               05  WRK-FTNMONEY-G    PIC 9(07).
               05  WRK-SEIKYUGK      PIC 9(07).
               05  WRK-SEIKYUGK-G    PIC 9(07).
               05  WRK-TYOKI         PIC 9(07).
               05  WRK-KOHNUM        PIC X(03).
               05  WRK-KOHID         PIC 9(10).
      *
           03  WRK-GPAGE             PIC 9(03).
           03  WRK-KEISAN            PIC 9(03).
           03  WRK-AMARI             PIC 9(03).
           03  WRK-GOKEI-SEIKYUGK    PIC 9(09).
           03  WRK-GOKEI-KENSU       PIC 9(03).
           03  WRK-GOKEI-TENSU       PIC 9(07).
           03  WRK-GOKEI-TAHO        PIC 9(07).
     *
      *    ե̾ѥꥢ
           03  FILE-NAME           PIC X(512).
           03  WRK-KINYUDATA       PIC X(14) OCCURS 3.
      *
           03  WRK-PATH              PIC X(50).
      *    ŵؾ
           03  WRK-HOSPNAME          PIC X(100).
           03  WRK-HOSPNAME-R        REDEFINES   WRK-HOSPNAME.
               05  WRK-HOSPNAME1     PIC X(50).
               05  WRK-HOSPNAME2     PIC X(50).
           03  WRK-HOSPADRS          PIC X(100).
           03  WRK-HOSPADRS-R        REDEFINES   WRK-HOSPADRS.
               05  WRK-HOSPADRS1     PIC X(50).
               05  WRK-HOSPADRS2     PIC X(50).
           03  WRK-HOSPTEL           PIC X(15).
      *
      *    ʸѴ
           03  WRK-MAE-INPUT         PIC X(200).
           03  WRK-OUT-INPUT         PIC X(200).
      *
      *    ѥꥢ
       01  SUM-AREA  VALUE   ZERO.
           03  SUM-SYOKEI.
               05  SUM-TENSU         PIC 9(07).
               05  SUM-TAHOFTNTEN    PIC 9(07).
               05  SUM-FTNMONEY      PIC 9(07).
               05  SUM-SEIKYUGK      PIC 9(07).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE02  PIC 9(06).
           03  CNT-MF100   PIC 9(06).
           03  CNT-PAGE    PIC 9(03).
      *
       01  TABLE-AREA.
           03  TBL-PARA-OCC    OCCURS  100.
               05  TBL-PARA-HKNJANUM    PIC X(08).
               05  TBL-PARA-PTID        PIC 9(10).
      *
       01  WRK-CONS-PARA-MAX   PIC 9(03)   VALUE   100.
      *
      *    DB
           COPY    "COMMON-SPA".
      *
      *****************************************************************
      *    ե쥤ȡΰ
      *****************************************************************
      *
      *    ƥޥ
           COPY  "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY  "CPSK1002.INC".
      *
      *    ŵԽ
           COPY    "CPSK1900.INC".
      *
      *    ŵ̾Խ
           COPY    "CPSK1901.INC".
      *
      *    ŵؽԽ
           COPY    "CPSK1902.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *    Ծ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    Ծ
       01  PTKOHINF-REC.
           COPY    "CPPTKOHINF.INC".
      *
      *    Ǽ
       01  SYUNOU-REC.
           COPY  "CPSYUNOU.INC".
      *
      *    ݸȹ礻
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    
       01  PTNYUINRRK-REC.
           COPY    "CPPTNYUINRRK.INC".
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *    ѥ᥿
       01  BTPARA-REC.
           COPY    "CPBTPARA.INC".
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ極
           COPY    "CPORCSPRT.INC".
      *
      *    ̥ѥ᥿
           COPY  "MCPAREA".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".      
      *
           COPY    "MCPDATA.INC".
      *
      *    Ⱦѥå
           COPY    "CPORCSKANACHK.INC".
      *
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *
      ****************************************************************
       LINKAGE  SECTION.
       01  COMMAND-PARAM.
           02  FILLER  PIC X(256).
      *****************************************************************
      *
       PROCEDURE  DIVISION
               USING COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC  SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL  FLG-END = 1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC  SECTION.
      *
           INITIALIZE  FLG-AREA
           INITIALIZE  STS-AREA
           INITIALIZE  WRK-AREA
           INITIALIZE  CNT-AREA
           INITIALIZE  IDX-AREA
           INITIALIZE  SPA-AREA
      *
           DISPLAY "START"
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HOSPNUM
                                               WRK-PARA-SYORIFLG
                                               RECEERR
           END-UNSTRING
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *
      *    ƥå׳Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SEIKYU3735"    TO  JOB-PGID
           MOVE    "Ұ"
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
                                   SPA-AREA
      *
      *    оǯǽ
           INITIALIZE  WRK-SYMD
           MOVE    LNK-PRTKANRI-SRYYM  TO    WRK-SYMD(1:6)
           PERFORM 31012-LASTDAY-GET-SEC
           MOVE    WRK-SYMD            TO    WRK-LASTYMD
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *
           MOVE  "MF100ZZ"        TO  MF100PARA-FILE-ID
           MOVE  LNK-PRTKANRI-TERMID(1:16)  TO  MF100PARA-TERMID
           MOVE  WRK-PARA-HOSPNUM           TO  MF100PARA-HOSPNUM
      *
      *     MOVE  "RECEERR"        TO  RECEERR-FILE-ID
      *     MOVE  LNK-PRTKANRI-TERMID(1:16)
      *                            TO  RECEERR-TERMID
      *
      *    ŵأɣԽ
           INITIALIZE  SYS-1001-REC
           MOVE  "1001"        TO  SYS-1001-KANRICD
           MOVE  "*"           TO  SYS-1001-KBNCD
           MOVE  LNK-PRTKANRI-SRYYM(1:6)
                               TO  SYS-1001-STYUKYMD(1:6)
                                   SYS-1001-EDYUKYMD(1:6)
           MOVE  "01"          TO  SYS-1001-STYUKYMD(7:2)
                                   SYS-1001-EDYUKYMD(7:2)
           MOVE  SPA-HOSPNUM   TO  SYS-1001-HOSPNUM
           MOVE  SYS-1001-REC  TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1001-REC
           ELSE
             DISPLAY "*** SEIKYU3735 SYS 1001 ERR ***"
             MOVE  1            TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE  SYS-1002-REC
           MOVE  "1002"        TO  SYS-1002-KANRICD
           MOVE  "*"           TO  SYS-1002-KBNCD
           MOVE  LNK-PRTKANRI-SRYYM(1:6)
                               TO  SYS-1002-STYUKYMD(1:6)
                                   SYS-1002-EDYUKYMD(1:6)
           MOVE  "01"          TO  SYS-1002-STYUKYMD(7:2)
                                   SYS-1002-EDYUKYMD(7:2)
           MOVE  SPA-HOSPNUM   TO  SYS-1002-HOSPNUM
           MOVE  SYS-1002-REC  TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1002-REC
           ELSE
             DISPLAY "*** SEIKYU3735 SYS 1002 ERR ***"
             MOVE  1            TO  FLG-END
           END-IF
      *
           MOVE    SYS-1001-HOSPNAME   TO  WRK-HOSPNAME
           MOVE    SYS-1002-ADRS       TO  WRK-HOSPADRS
           MOVE    SYS-1002-TEL        TO  WRK-HOSPTEL
      *    ŵԽ
           PERFORM 900-1900-READ-SEC
      *
      *    ͻؾ
           PERFORM  111-INI-FILE-SEC
      *
      *    ѥ᥿Խ
           PERFORM 1001-PARA-HENSYU-SEC
      *
           PERFORM 900-KOHSKY-START-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͻؾINIեɤ߹߽  
      *****************************************************************
       111-INI-FILE-SEC                SECTION.
      *
      *    ͻؾ
      *    եǥ쥯ȥֻ
           INITIALIZE           ORCSMKPASSAREA
                                FILE-NAME
           MOVE  "data/KINYU_TAKAMATU.INI"   TO     MKPASS-IN-01
           CALL  "ORCSMKPASSSITE"         USING  ORCSMKPASSAREA
           MOVE  MKPASS-OT-01             TO     FILE-NAME
      *
           INITIALIZE   KINYU-REC
      *
           OPEN  INPUT  KINYU-FILE
      *
           PERFORM  VARYING  IDX1  FROM  1  BY  1
                    UNTIL    IDX1  >     3
             READ KINYU-FILE
               AT END
                 INITIALIZE        KINYU-REC
             END-READ
      *
             DISPLAY "ͻ=" KINYU-KINYUDATA
             IF    KINYU-KINYUDATA(1:2)  =  ""
               MOVE   SPACE             TO  WRK-KINYUDATA(IDX1)
             ELSE
               MOVE   KINYU-KINYUDATA   TO  WRK-KINYUDATA(IDX1)
             END-IF
           END-PERFORM
      *
           CLOSE KINYU-FILE
      *
           DISPLAY "̾ ="  WRK-KINYUDATA(1)
           DISPLAY "Ź̾ ="  WRK-KINYUDATA(2)
           DISPLAY "ֹ ="  WRK-KINYUDATA(3)
      *
           .
       110-INI-FILE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ѥ᥿Խ
      *****************************************************************
       1001-PARA-HENSYU-SEC        SECTION.
      *
           MOVE    ZERO                TO  IDXX
                                           FLG-SYORI
           INITIALIZE                      TABLE-AREA
      *
           IF      WRK-PARA-SYORIFLG   =   "1" 
               INITIALIZE                      BTPARA-REC
               MOVE    SPA-HOSPNUM         TO  BTPARA-HOSPNUM
               MOVE    WRK-PARA-SHELLID    TO  BTPARA-SHELLID
               MOVE    WRK-PARA-JOBID      TO  BTPARA-JOBID
               MOVE    BTPARA-REC          TO  MCPDATA-REC
               MOVE    "DBSELECT"          TO  MCP-FUNC
               MOVE    "tbl_btpara"        TO  MCP-TABLE
               MOVE    "key5"              TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    "tbl_btpara"    TO  MCP-TABLE
                   MOVE    "key5"          TO  MCP-PATHNAME
                   PERFORM 900-BTPARA-READ-N-SEC
               ELSE
                   INITIALIZE                  BTPARA-REC
                   MOVE    1               TO  FLG-BTPARA
               END-IF
      *
               PERFORM     UNTIL   FLG-BTPARA  =   1
                   ADD     1                   TO  IDXX
                   IF      BTPARA-INFO-KBN     =   "1"
                     MOVE    1                 TO  FLG-SYORI
                     MOVE    BTPARA-INFO-PARA
                                       TO TBL-PARA-HKNJANUM(IDXX)
                   ELSE
                     MOVE    2                 TO  FLG-SYORI
                     MOVE    BTPARA-INFO-PTID
                                       TO TBL-PARA-PTID(IDXX)
                   END-IF
                   DISPLAY "ѥ᥿ʬ=" BTPARA-INFO-KBN
                           "ѥ᥿=" BTPARA-INFO-PARA
                           "ݸֹ="   TBL-PARA-HKNJANUM(IDXX)
                           "ֹ="     TBL-PARA-PTID(IDXX)
      *
                   MOVE    "tbl_btpara"    TO  MCP-TABLE
                   MOVE    "key5"          TO  MCP-PATHNAME
                   PERFORM 900-BTPARA-READ-N-SEC
               END-PERFORM
      *
      *         MOVE    PATH-TBL-BTPARA-KEY5
      *                                     TO  MCP-PATH
               MOVE    "tbl_btpara"        TO  MCP-TABLE
               MOVE    "key5"              TO  MCP-PATHNAME
               MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *
               IF      IDXX            =   ZERO
                   MOVE    ZERO            TO  WRK-PARA-SYORIFLG
               END-IF
           END-IF 
           .
       1001-PARA-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC  SECTION.
      *
           OPEN     OUTPUT  MF100-FILE
           CLOSE            MF100-FILE
           OPEN     I-O     MF100-FILE
      *
           MOVE     ZERO    TO      FLG-END
      *
           PERFORM  2001-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
      *
           CLOSE   MF100-FILE
      *
           IF       CNT-RECE02   >       0
                    PERFORM   2002-PRINT-SEC
           END-IF
           MOVE   1   TO   FLG-END
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       2001-SYUKEI-SEC  SECTION.
      *
           PERFORM VARYING IDZ FROM    1   BY  1
                   UNTIL   IDZ >       4
             IF  RECE02-KOHNUM (IDZ) = "111"
                 PERFORM  20011-SYUKEI-SEC
             END-IF
           END-PERFORM
      *
           PERFORM 900-KOHSKY-READ-SEC
      *
           .
       2001-SYUKEI-EXT.
           EXIT.
      **
      *****************************************************************
      *    ׽
      *****************************************************************
       20011-SYUKEI-SEC  SECTION.
      *
      *    TMP-FILE å
      *
           INITIALIZE  MF100-REC
      *
           MOVE  SPA-HOSPNUM         TO  MF100-HOSPNUM
           MOVE  RECE02-NYUGAIKBN    TO  MF100-NYUGAIKBN
           MOVE  RECE02-PTNUM        TO  MF100-PTNUM
           MOVE  RECE02-HKNJANUM-KEY TO  MF100-HKNJANUM-KEY
           MOVE  RECE02-TEKSTYMD     TO  MF100-TEKSTYMD
           MOVE  RECE02-SRYYM        TO  MF100-SRYYM
      *
           MOVE  RECE02-PTID         TO  MF100-PTID
           MOVE  RECE02-NAME         TO  MF100-NAME
           MOVE  RECE02-AGE          TO  MF100-AGE
           MOVE  RECE02-BIRTHDAY     TO  MF100-BIRTHDAY
           MOVE  RECE02-TEISYUTUSAKI TO  MF100-TEISYUTUSAKI
           MOVE  RECE02-HKN          TO  MF100-HKN
           MOVE  RECE02-KYURATE      TO  MF100-KYURATE
      *
           MOVE  RECE02-KOHFTNJANUM (IDZ)  TO  MF100-FTNJANUM
           MOVE  RECE02-KOHJKYSNUM  (IDZ)  TO  MF100-JKYSNUM 
      *
           MOVE  RECE02-KOHINF      (IDZ)  TO  MF100-KOHINF
           COMPUTE IDY     =       IDZ     +   1
           MOVE  RECE02-TOTALTEN    (IDY)  TO  MF100-TOTALTEN
           MOVE  RECE02-JNISSU      (IDY)  TO  MF100-JNISSU
      *
      *    å
           PERFORM  940-PTKOHINF-SELECT-SEC
           IF  FLG-KOGAKU  =  1
             MOVE  RECE02-FTNMONEY (1)     TO  MF100-KOGAKU
           END-IF
      *
      *    򥻥å
           PERFORM 2003-YMDSET-SEC
      *
      *    ʻѥå(ôۥå)
           INITIALIZE  WRK-SYUKEI
           MOVE     MF100-KOHNUM   TO    WRK-KOHNUM
           MOVE     MF100-KOHID    TO    WRK-KOHID
           IF      RECE02-NYUGAIKBN    =   "1"
               MOVE    "key33"     TO  WRK-PATH
           ELSE
               MOVE    "key25"     TO  WRK-PATH
           END-IF
           PERFORM  920-SYUNOU-SET-SEC
      *
           MOVE  WRK-SEIKYUGK-G        TO  MF100-SEIKYUGK
           MOVE  WRK-KOHFTNGK-G        TO  MF100-KOHFTNGK
           MOVE  WRK-FTNMONEY-G        TO  MF100-FTNMONEY
      *
      *    ݸֹå
           MOVE    ZERO               TO   FLG-ERR
           PERFORM 200111-HKNJANUM-CHK-SEC
      *
           IF  FLG-ERR    =     ZERO
      *
      *    Ƭڡ˵ܤۤη׻
             ADD    MF100-TOTALTEN       TO  WRK-GOKEI-TENSU
             ADD    MF100-KOHFTNGK       TO  WRK-GOKEI-TAHO
             ADD    WRK-SEIKYUGK-G       TO  WRK-GOKEI-SEIKYUGK
     *
             WRITE  MF100-REC
             ADD  1  TO  CNT-MF100
           ELSE
             DISPLAY "ݸֹ оݳֹ="  RECE02-PTNUM
           END-IF
      *
           .
       20011-SYUKEI-EXT.
           EXIT.
      **
      *****************************************************************
      *    ౡåȽ
      *****************************************************************
       2003-YMDSET-SEC  SECTION.
      *
      *    
           INITIALIZE                  PTNYUINRRK-REC
           MOVE    SPA-HOSPNUM       TO  PTNYUINRRK-HOSPNUM
           MOVE    MF100-PTID        TO  PTNYUINRRK-PTID
           MOVE    RECE02-SRYYM(1:6) TO  PTNYUINRRK-NYUINYMD(1:6)
                                         PTNYUINRRK-TAIINYMD(1:6)
           MOVE    "99"              TO  PTNYUINRRK-NYUINYMD(7:2)
           MOVE    "01"              TO  PTNYUINRRK-TAIINYMD(7:2)
      *
           PERFORM  930-PTNYUINRRK-SELECT-SEC
           PERFORM  930-PTNYUINRRK-CLOSE-SEC
      *
           MOVE  PTNYUINRRK-NYUINYMD  TO  MF100-NYUINYMD
      *
           .
       2003-YMDSET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ȯԻݸֹ(Į¼ֹ)å
      *****************************************************************
       200111-HKNJANUM-CHK-SEC                SECTION.
      *
           INITIALIZE      WRK-HKNJANUM
           MOVE    "37"                         TO  WRK-HKNJANUM(1:2)
           MOVE    MF100-FTNJANUM               TO  WRK-HKNJANUM(3:3)
      *
           IF  WRK-PARA-SYORIFLG       =   "1"
               AND FLG-SYORI           =    1
               AND FLG-ERR             =   ZERO
      *
               DISPLAY "ֹ = "  MF100-PTNUM
               DISPLAY "åݸֹ="  WRK-HKNJANUM
               MOVE    1       TO      FLG-ERR
               PERFORM VARYING IDXX    FROM    1   BY  1
                       UNTIL   IDXX    >   WRK-CONS-PARA-MAX
                       OR      TBL-PARA-HKNJANUM(IDXX)  =   SPACE
                   IF      WRK-HKNJANUM(1:5)
                                   =   TBL-PARA-HKNJANUM(IDXX)(1:5)
                       MOVE    ZERO                TO  FLG-ERR
                       MOVE    WRK-CONS-PARA-MAX   TO  IDXX
                   END-IF
               END-PERFORM 
           END-IF
      *
           .
       200111-HKNJANUM-CHK-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
           OPEN     INPUT       MF100-FILE
      *
           MOVE     ZERO        TO       FLG-PRINT
      *
      *    եɹ
           PERFORM  900-TMP-READ-SEC
      *
           PERFORM  UNTIL     FLG-PRINT   =  1
      *
      *    ĢɼԽ<إå>
               PERFORM  310-HEAD-HEN-SEC
      *    ĢɼԽ<>
               PERFORM  320-BODY-HEN-SEC
      *    Ģɼ
               PERFORM  330-PRINT-OUT-SEC
      *
           END-PERFORM
      *
           CLOSE    MF100-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC          SECTION.
      *
           ADD   1     TO  CNT-PAGE
      *
           INITIALIZE  SC35
      *
      *    ǯ
           MOVE  WRK-SRYYMWH(5:12)        TO    SC35-SRYYM
      *
      *    
           MOVE  WRK-SEIYMDWH             TO    SC35-SEIYMD
      *
      *    
           IF  CNT-PAGE  =  1
             MOVE  WRK-GOKEI-SEIKYUGK     TO  WRK-Z9
             MOVE  WRK-Z9                 TO  SC35-SEIKYUGK-G
      *    ׷
             MOVE  CNT-MF100              TO  WRK-Z3
             MOVE  WRK-Z3                 TO  SC35-KENSU-G
      *    ʣˤĤߡ
             MULTIPLY  CNT-MF100  BY  100  GIVING  WRK-Z7
             MOVE  WRK-Z7                 TO  SC35-TESURYO
          END-IF
      *
      *    ŵإ
           MOVE  SYS-1001-HOSPCD          TO  WRK-MAE-INPUT
           PERFORM  2009-HENKAN-SEC
           MOVE     WRK-OUT-INPUT         TO  SC35-HOSPCD
      *
      *    ŵ̾
           MOVE  WRK-HOSPNAME             TO  SC35-HOSPNAME
      *
      *    ŵؽ
           MOVE  WRK-HOSPADRS             TO  SC35-ADRS
      *
      *    ߼̾
           MOVE  SYS-1001-KAISETUNAME     TO    SC35-KAISETU
      *
      *    ̾
           MOVE  WRK-KINYUDATA(1)         TO  SC35-GINKO
      *
      *    Ź̾
           MOVE  WRK-KINYUDATA(2)         TO  SC35-SITEN
      *
      *    ֹ
           MOVE  WRK-KINYUDATA(3)         TO  SC35-KOUZA
      *
      *    ڡֹ
           MOVE    CNT-PAGE               TO  WRK-Z3
           MOVE    WRK-Z3                 TO  SC35-PAGE
      *
      *    ܤι
           IF  CNT-PAGE  =  1
      *    
             MOVE  CNT-MF100              TO  WRK-Z3
             MOVE  WRK-Z3                 TO  SC35-GKENSU
      *    
             MOVE  WRK-GOKEI-TENSU        TO  WRK-Z7
             MOVE  WRK-Z7                 TO  SC35-GTENSU
      *    ¾ˡô
             MOVE  WRK-GOKEI-TAHO         TO  WRK-Z7
             MOVE  WRK-Z7                 TO  SC35-GTAHO
      *    
      *
      *    
             MOVE  WRK-GOKEI-SEIKYUGK     TO  WRK-Z9
             MOVE  WRK-Z9                 TO  SC35-GSEIKYUGK
          END-IF
      *    ްô
      *
          .
       310-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
           INITIALIZE                    SUM-AREA
      *
           PERFORM  VARYING  IDX1  FROM  1  BY  1
                    UNTIL    IDX1  >    15
                    OR    FLG-PRINT       =   1
      *
      *      ̿ǯ
             MOVE  MF100-SRYYM              TO  WRK-Z2
             MOVE  WRK-Z2                   TO  SC35-SRYKOBETU(IDX1)
      *
      *      ֹ
             MOVE     MF100-KOHJKYSNUM      TO  WRK-MAE-INPUT
             PERFORM  2009-HENKAN-SEC
             MOVE     WRK-OUT-INPUT         TO  SC35-JKYSNUM(IDX1)
      *
      *      Ի̾
             MOVE    MF100-NAME             TO  SC35-NAME(IDX1)
      *
      *---(10.08.03) LINE DEL START ------------------------------------
      *      ǯϤʤΤǺ
      *      *      ǯ
      *             MOVE  MF100-BIRTHDAY           TO  WRK-SYMD
      *             PERFORM 31012-SEIWA-HEN-SEC
      *             MOVE  LNK-DAY2-EDTYMD1(1:3)    TO  SC35-BIRTHDAYYY(IDX1)
      *             MOVE  LNK-DAY2-EDTYMD1(5:2)    TO  SC35-BIRTHDAYMM(IDX1)
      *             MOVE  LNK-DAY2-EDTYMD1(8:2)    TO  SC35-BIRTHDAYDD(IDX1)
      *---(10.08.03) LINE DEL END   ------------------------------------
      *
      *      ʬ
             IF  MF100-NYUGAIKBN  =  "1"
               MOVE    ""                 TO  SC35-NYUGAIKBN(IDX1 1)
             ELSE
               MOVE    ""                 TO  SC35-NYUGAIKBN(IDX1 2)
             END-IF
      *
      *      ݸ
             IF  MF100-TEISYUTUSAKI  =  "1"
               MOVE  ""                    TO  SC35-HKNSYUBETU(IDX1 1)
             ELSE
               IF  MF100-TEISYUTUSAKI  =  "2"
                 MOVE  ""                  TO  SC35-HKNSYUBETU(IDX1 2)
               END-IF
             END-IF
      *
      *      ô
             IF  MF100-KYURATE  =  "020"
               MOVE  ""                    TO  SC35-FTNRATE (IDX1 1)
             ELSE
               IF  MF100-KYURATE  =  "030"
                 MOVE  ""                  TO  SC35-FTNRATE (IDX1 2)
               ELSE
                 IF  MF100-KYURATE  =  "010"
                 MOVE  ""                  TO  SC35-FTNRATE (IDX1 3)
                 END-IF
              END-IF
             END-IF
      *
      *      
             MOVE  MF100-TOTALTEN           TO  WRK-Z7
             MOVE  WRK-Z7                   TO  SC35-TENSU(IDX1)
      *
      *      ¾ˡô
             MOVE  MF100-KOHFTNGK           TO  WRK-Z7
             MOVE  WRK-Z7                   TO  SC35-TAHO(IDX1)
      *
      *      
             MOVE  MF100-KOGAKU             TO  WRK-Z7
             MOVE  WRK-Z7                   TO  SC35-KOGAKU(IDX1)
      *
      *      
             MOVE  MF100-SEIKYUGK           TO  WRK-Z9
             MOVE  WRK-Z9                   TO  SC35-SEIKYUGK(IDX1)
      *
      *      ްô
      *
      *      ײû
             ADD  MF100-TOTALTEN            TO  SUM-TENSU
      *
      *      ײû¾ˡô
            ADD  MF100-KOHFTNGK             TO  SUM-TAHOFTNTEN
      *
      *      ײûʹ
      *
      *      ײûۡ
             ADD  MF100-SEIKYUGK            TO  SUM-SEIKYUGK
      *
      *      ײûްô
      *
      *      ʾס
             MOVE  IDX1                     TO  WRK-Z3
             MOVE  WRK-Z3                   TO  SC35-KENSU
      *
      *      եɤ߹
             PERFORM  900-TMP-READ-SEC
           END-PERFORM
      *
      *    ʾס
           MOVE     SUM-TENSU               TO  WRK-Z7
           MOVE     WRK-Z7                  TO  SC35-STENSU
      *
      *    ¾ˡôʾס
           MOVE     SUM-TAHOFTNTEN          TO  WRK-Z7
           MOVE     WRK-Z7                  TO  SC35-STAHO
      *
      *    ʾס
      *
      *    ۡʾס
           MOVE     SUM-SEIKYUGK            TO  WRK-Z9
           MOVE     WRK-Z9                  TO  SC35-SSEIKYUGK
      *
      *    ްôʾס
      *
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
     *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                SECTION.
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SC3735.red"             TO  SPRT-PRTID
           MOVE    "Ұ"
                                       TO  SPRT-TITLE
           MOVE    SC35                TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
                                       SPA-AREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "Ģɼģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       330-PRINT-OUT-EXT.
           EXIT.
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC  SECTION.
      *
           OPEN  INPUT  RECEERR-FILE
           IF  STS-RECEERR  =  ZERO
             CONTINUE
           ELSE
             OPEN  OUTPUT  RECEERR-FILE
      *
             MOVE  WRK-RECEERR  TO  RECEERR-REC
             WRITE RECEERR-REC
           END-IF
      *
           CLOSE  RECEERR-FILE
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       800-SEIKYU-SEC  SECTION.
      *
           MOVE    ZERO                 TO  FLG-HEIYOU
                                            FLG-TYOKI
                                            WRK-SEIKYUGK
                                            WRK-KOHFTNGK
                                            WRK-FTNMONEY
                                            WRK-TYOKI
      *
      *    ĹäƤ˥ե饰򤿤ƤƤ
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >    4 OR
                    SYU-KOH-HKNNUM(IDX)  =  SPACE
             IF    SYU-KOH-HKNNUM(IDX)   =   "972"  OR  "974"
               MOVE  1                             TO  FLG-TYOKI
               MOVE  SYU-KOH-COMPFTN(IDX)          TO  WRK-TYOKI
             END-IF
           END-PERFORM
      *
      *    ʬ򽸷
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >    4 OR
                    SYU-KOH-HKNNUM(IDX)  =  SPACE
             IF    SYU-KOH-HKNNUM(IDX)(1:1) =  "0"  AND
                   SYU-KOH-HKNNUM(IDX) NOT  =  "027"
               MOVE  1                             TO  FLG-HEIYOU
               IF    FLG-TYOKI   =  1    AND
                     WRK-TYOKI   <  SYU-KOH-COMPFTN(IDX)
                 MOVE  WRK-TYOKI                     TO  WRK-SEIKYUGK
               ELSE
                 MOVE  SYU-KOH-COMPFTN(IDX)          TO  WRK-SEIKYUGK
               END-IF
      *    ͼθ
               DIVIDE   WRK-SEIKYUGK   BY  10
                        GIVING             WRK-KEISAN
                        REMAINDER          WRK-AMARI
               COMPUTE  WRK-SEIKYUGK    =  WRK-SEIKYUGK
                                        -  WRK-AMARI
               IF  WRK-AMARI     >=     5
                 ADD    10             TO  WRK-SEIKYUGK
               END-IF
      *
               MOVE    WRK-SEIKYUGK                  TO  WRK-KOHFTNGK
      *
             END-IF
           END-PERFORM
      *
           IF  FLG-HEIYOU  =  ZERO
             IF    FLG-TYOKI   =  1    AND
                   WRK-TYOKI   <  SYU-SYUCOMPFTN
               MOVE  WRK-TYOKI                       TO  WRK-SEIKYUGK
                                                         WRK-FTNMONEY
             ELSE
               MOVE  SYU-SYUCOMPFTN                  TO  WRK-SEIKYUGK
                                                         WRK-FTNMONEY
             END-IF
           END-IF
      *
           ADD  WRK-SEIKYUGK                 TO  WRK-SEIKYUGK-G
           ADD  WRK-KOHFTNGK                 TO  WRK-KOHFTNGK-G
           ADD  WRK-FTNMONEY                 TO  WRK-FTNMONEY-G
      *
           .
       800-SEIKYU-SEC-EXT.
           EXIT.
      *
      *****************************************************************
      *  Ǽ󥻥å
      *****************************************************************
       920-SYUNOU-SET-SEC  SECTION.
      *
             INITIALIZE  SYUNOU-REC
             MOVE  SPA-HOSPNUM        TO  SYU-HOSPNUM
             MOVE  RECE02-NYUGAIKBN   TO  SYU-NYUGAIKBN
             MOVE  RECE02-PTID        TO  SYU-PTID
             MOVE  RECE02-SRYYM(1:6)  TO  SYU-SRYYMD(1:6)
             MOVE  "__"               TO  SYU-SRYYMD(7:2)
             MOVE  WRK-KOHNUM         TO  SYU-KOH-HKNNUM(1)
                                          SYU-KOH-HKNNUM(2)
                                          SYU-KOH-HKNNUM(3)
                                          SYU-KOH-HKNNUM(4)
             MOVE  SYUNOU-REC         TO  MCPDATA-REC
             MOVE  "DBSELECT"         TO  MCP-FUNC
             MOVE  "tbl_syunou"       TO  MCP-TABLE
             MOVE  WRK-PATH           TO  MCP-PATHNAME
             CALL  "ORCDBMAIN"        USING
                                      MCPAREA
                                      MCPDATA-REC
                                      SPA-AREA
             IF  MCP-RC  =  ZERO
               MOVE  "tbl_syunou"       TO  MCP-TABLE
               MOVE  WRK-PATH           TO  MCP-PATHNAME
               PERFORM  925-SYUNOU-READ-SEC
      *
               PERFORM  UNTIL  FLG-SYUNOU  =  1
                 IF  SYU-DENPJTIKBN   NOT = "3"
                   IF    SYU-HKNCOMBINUM  =  RECE02-HKNCOMBI(1) OR
                                             RECE02-HKNCOMBI(2) OR
                                             RECE02-HKNCOMBI(3) OR
                                             RECE02-HKNCOMBI(4) OR
                                             RECE02-HKNCOMBI(5) OR
                                             RECE02-HKNCOMBI(6) OR
                                             RECE02-HKNCOMBI(7) OR
                                             RECE02-HKNCOMBI(8) OR
                                             RECE02-HKNCOMBI(9) OR
                                             RECE02-HKNCOMBI(10) 
                     PERFORM  910-HKNCOMBI-READ-SEC
                     IF  COMB-KOHID(1)    =  WRK-KOHID   OR
                         COMB-KOHID(2)    =  WRK-KOHID   OR
                         COMB-KOHID(3)    =  WRK-KOHID   OR
                         COMB-KOHID(4)    =  WRK-KOHID
                       PERFORM  800-SEIKYU-SEC
                     END-IF
                   END-IF
                 END-IF
      *
                 MOVE  "tbl_syunou"       TO  MCP-TABLE
                 MOVE  WRK-PATH           TO  MCP-PATHNAME
                 PERFORM   925-SYUNOU-READ-SEC
               END-PERFORM
             ELSE
               DISPLAY  "SYUNOU SELECT ERR"
             END-IF
      *
             INITIALIZE  MCPAREA
             MOVE  "DBCLOSECURSOR"   TO  MCP-FUNC
             MOVE  "tbl_syunou"       TO  MCP-TABLE
             MOVE  WRK-PATH           TO  MCP-PATHNAME
             CALL  "ORCDBMAIN"        USING
                                      MCPAREA
                                      MCPDATA-REC
                                      SPA-AREA
      *
           .
       920-SYUNOU-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ǽɹ
      *****************************************************************
       925-SYUNOU-READ-SEC  SECTION.
      *
           MOVE  "DBFETCH"  TO  MCP-FUNC
           CALL  "ORCDBMAIN"        USING
                                    MCPAREA
                                    MCPDATA-REC
                                    SPA-AREA
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  SYUNOU-REC
             MOVE  ZERO         TO  FLG-SYUNOU
           ELSE
             INITIALIZE  SYUNOU-REC
             MOVE  1  TO  FLG-SYUNOU
           END-IF
      *
           .
       925-SYUNOU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸȹ礻ޥɤ߹
      *****************************************************************
       910-HKNCOMBI-READ-SEC         SECTION.
      *
           INITIALIZE                      HKNCOMBI-REC
           MOVE    SPA-HOSPNUM                TO  COMB-HOSPNUM
           MOVE    SYU-PTID                   TO  COMB-PTID
           MOVE    SYU-HKNCOMBINUM            TO  COMB-HKNCOMBINUM
           MOVE    HKNCOMBI-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"                 TO  MCP-FUNC
           MOVE    "tbl_hkncombi"             TO  MCP-TABLE
           MOVE    "key"                      TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
               MOVE    "tbl_hkncombi"        TO  MCP-TABLE
               MOVE    "key"                 TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"           USING
                                             MCPAREA
                                             MCPDATA-REC
                                             SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  HKNCOMBI-REC
                   MOVE    ZERO            TO  FLG-HKNCOMBI
               ELSE
                   INITIALIZE                  HKNCOMBI-REC
                   MOVE    1               TO  FLG-HKNCOMBI
               END-IF
           ELSE
               INITIALIZE                  HKNCOMBI-REC
               MOVE    1               TO  FLG-HKNCOMBI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    "tbl_hkncombi"        TO  MCP-TABLE
           MOVE    "key"                 TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"           USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
      *
           .
       910-HKNCOMBI-READ-EXT.
           EXIT.
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC   SECTION.
      *
      *
           CLOSE  MF100-FILE
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SEIKYU3735 IN  "  CNT-RECE02
           DISPLAY "*** SEIKYU3735 OUT "  CNT-MF100 
           DISPLAY "*** SEIKYU3735 END ***"
      *
           IF  CNT-MF100  =  0
             DISPLAY "DATA NOT FOUND. PRINT JOB CANCEL!!"
           END-IF
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
                                   SPA-AREA
      *
           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  MF100-FILE   NEXT
             AT  END
               MOVE  1                   TO  FLG-PRINT
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-KOHSKY-START-SEC            SECTION.
      *
           INITIALIZE                  RECE02-REC
           MOVE    SPA-HOSPNUM         TO  RECE02-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  RECE02-SKYYM
           MOVE    RECE02-REC          TO  MCPDATA-REC
      *
           MOVE    "DBSELECT"                TO  MCP-FUNC
           MOVE    "tbl_kohsky"        TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           IF      MCP-RC              =   ZERO
               PERFORM 900-KOHSKY-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
               PERFORM  900-KOHSKY-CLOSE-SEC
           END-IF
           .
       900-KOHSKY-START-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥңţ
      *****************************************************************
       900-KOHSKY-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"                TO  MCP-FUNC
           MOVE    "tbl_kohsky"        TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC     TO  RECE02-REC
               IF  RECE02-KOHNUM (1) = "111"
               OR  RECE02-KOHNUM (2) = "111"
               OR  RECE02-KOHNUM (3) = "111"
               OR  RECE02-KOHNUM (4) = "111"
      *        ƥȴԤΤȤɤФ
                   MOVE    SPACE               TO  PTINF-REC
                   INITIALIZE                      PTINF-REC
                   MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
                   MOVE    RECE02-PTID         TO  PTINF-PTID
                   MOVE    PTINF-REC           TO  MCPDATA-REC
                   PERFORM 800-PTINF-READ-SEC
                   IF      FLG-PTINF           =   ZERO
                   AND     PTINF-TSTPTNUMKBN   =   "1"
                       GO  TO  900-KOHSKY-READ-SEC
                   END-IF
      *
      *        ȯԤǴֹξ硢оȽԤ
                   MOVE  ZERO                TO  FLG-ERR
                   IF      WRK-PARA-SYORIFLG   =   "1"
                   AND     FLG-SYORI           =    2
                     MOVE  1                   TO  FLG-ERR
                     PERFORM VARYING IDXX    FROM    1   BY  1
                             UNTIL   IDXX    >   WRK-CONS-PARA-MAX
                             OR      TBL-PARA-PTID(IDXX) =   ZERO
                         IF      RECE02-PTID =   TBL-PARA-PTID(IDXX)
                           MOVE    ZERO                TO  FLG-ERR
                           MOVE    WRK-CONS-PARA-MAX   TO  IDXX
                         END-IF
                     END-PERFORM 
                   END-IF
      *
                   IF      FLG-ERR           =   1
                     GO  TO  900-KOHSKY-READ-SEC
                   END-IF
      *
                   ADD  1  TO  CNT-RECE02
               ELSE
                 GO  TO  900-KOHSKY-READ-SEC
               END-IF
           ELSE
               MOVE    1               TO  FLG-END
               PERFORM  900-KOHSKY-CLOSE-SEC
           END-IF
           .
       900-KOHSKY-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥCLOSE
      *****************************************************************
       900-KOHSKY-CLOSE-SEC  SECTION.
      *
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
           MOVE    "tbl_kohsky"          TO  MCP-TABLE
           MOVE    "key2"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"           USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
      *
           .
       900-KOHSKY-CLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"               TO  MCP-FUNC
           MOVE    "tbl_ptinf"           TO  MCP-TABLE
           MOVE    "key"                 TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"           USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                TO  MCP-FUNC
               MOVE    "tbl_ptinf"         TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    "tbl_ptinf"            TO  MCP-TABLE
           MOVE    "key"                  TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"            USING
                                          MCPAREA
                                          MCPDATA-REC
                                          SPA-AREA
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *****************************************************************
      *    ԸSELECT
      *****************************************************************
       940-PTKOHINF-SELECT-SEC         SECTION.
      *
           INITIALIZE                             PTKOHINF-REC
                                                  FLG-KOGAKU
           MOVE    SPA-HOSPNUM                TO  PTKOH-HOSPNUM
           MOVE    RECE02-PTID                TO  PTKOH-PTID
           MOVE    PTKOHINF-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"                 TO  MCP-FUNC
           MOVE    "tbl_ptkohinf"             TO  MCP-TABLE
           MOVE    "key2"                     TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           IF      MCP-RC           =   ZERO
                   PERFORM 940-PTKOHINF-FETCH-SEC
      *
                   PERFORM  UNTIL  FLG-PTKOHINF  =  1
      *    ܤθ񤬤뤫
                     IF   (PTKOH-KOHNUM  =  "965" OR "966" OR "967")
                     AND  PTKOH-TEKSTYMD(1:6)  <=  RECE02-SRYYM
                     AND  PTKOH-TEKEDYMD(1:6)  >=  RECE02-SRYYM
                     AND  PTKOH-SAKJOKBN  NOT =  "1"
                       MOVE  1  TO  FLG-KOGAKU
                       MOVE  1  TO  FLG-PTKOHINF
                     ELSE
                       PERFORM  940-PTKOHINF-FETCH-SEC
                     END-IF
                   END-PERFORM
           ELSE
                   MOVE   1               TO  FLG-PTKOHINF
           END-IF
      *
           PERFORM  940-PTKOHINF-CLOSE-SEC
      *
           .
       940-PTKOHINF-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    Ը󣱷ɤ߹
      *****************************************************************
       940-PTKOHINF-FETCH-SEC         SECTION.
      *
           MOVE    "DBFETCH"               TO  MCP-FUNC
           MOVE    "tbl_ptkohinf"             TO  MCP-TABLE
           MOVE    "key2"                     TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  PTKOHINF-REC
                   MOVE    ZERO            TO  FLG-PTKOHINF
           ELSE
                   MOVE    1               TO  FLG-PTKOHINF
           END-IF
           .
       940-PTKOHINF-FETCH-EXT.
           EXIT.
      *****************************************************************
      *    Ը󥯥
      *****************************************************************
       940-PTKOHINF-CLOSE-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    "tbl_ptkohinf"             TO  MCP-TABLE
           MOVE    "key2"                     TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           .
       940-PTKOHINF-CLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    SELECT
      *****************************************************************
       930-PTNYUINRRK-SELECT-SEC         SECTION.
      *
           MOVE    PTNYUINRRK-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"                   TO  MCP-FUNC
           MOVE    "tbl_ptnyuinrrk"           TO  MCP-TABLE
           MOVE    "key11"                    TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           IF      MCP-RC           =   ZERO
                   PERFORM 930-PTNYUINRRK-FETCH-SEC
      *
                   PERFORM  UNTIL  FLG-PTNYUINRRK  =  1
                       PERFORM  930-PTNYUINRRK-FETCH-SEC
                   END-PERFORM
           ELSE
                   MOVE   1               TO  FLG-PTNYUINRRK
           END-IF
           .
       930-PTNYUINRRK-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    󣱷ɤ߹
      *****************************************************************
       930-PTNYUINRRK-FETCH-SEC         SECTION.
      *
           MOVE    "DBFETCH"                    TO  MCP-FUNC
           MOVE    "tbl_ptnyuinrrk"           TO  MCP-TABLE
           MOVE    "key11"                    TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  PTNYUINRRK-REC
                   MOVE    ZERO            TO  FLG-PTNYUINRRK
           ELSE
                   MOVE    1               TO  FLG-PTNYUINRRK
           END-IF
           .
       930-PTNYUINRRK-FETCH-EXT.
           EXIT.
      *****************************************************************
      *    󥯥
      *****************************************************************
       930-PTNYUINRRK-CLOSE-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"               TO  MCP-FUNC
           MOVE    "tbl_ptnyuinrrk"           TO  MCP-TABLE
           MOVE    "key11"                    TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"                USING
                                              MCPAREA
                                              MCPDATA-REC
                                              SPA-AREA
           .
       930-PTNYUINRRK-CLOSE-EXT.
           EXIT.
      *****************************************************************
      *    н
      *****************************************************************
       31012-LASTDAY-GET-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY7-AREA
           MOVE    "71"                   TO  LNK-DAY7-IRAI
           MOVE    WRK-SYMD     TO  LNK-DAY7-YM
           CALL    "ORCSDAY"       USING   STS-AREA-DAY
                                                  LNK-DAY7-AREA
           MOVE LNK-DAY7-KOYOMI  TO  WRK-SYMD
           .
       31012-LASTDAY-GET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɤ߹
      *****************************************************************
       800-SYSKANRI-READ-SEC  SECTION.
      *
           MOVE  "DBSELECT"                TO  MCP-FUNC
           MOVE    "tbl_syskanri"          TO  MCP-TABLE
           MOVE    "key10"                 TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
           IF  MCP-RC  =  ZERO
             MOVE  "DBFETCH"                TO  MCP-FUNC
             MOVE  "tbl_syskanri"          TO  MCP-TABLE
             MOVE  "key10"                 TO  MCP-PATHNAME
             CALL  "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
             IF  MCP-RC  =  ZERO
               MOVE  ZERO  TO  FLG-SYSKANRI
             ELSE
               MOVE  1  TO  FLG-SYSKANRI
             END-IF
           ELSE
             MOVE  1  TO  FLG-SYSKANRI
           END-IF
      *
           MOVE  "DBCLOSECURSOR"          TO  MCP-FUNC
           MOVE  "tbl_syskanri"          TO  MCP-TABLE
           MOVE  "key10"                 TO  MCP-PATHNAME
           CALL  "ORCDBMAIN"             USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
           .
       800-SYSKANRI-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    Ѵ
      *****************************************************************
       2009-HENKAN-SEC                 SECTION.
      *
           INITIALIZE                  WRK-OUT-INPUT
      *
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "2"                 TO  KANACHK-SYORI
           MOVE    WRK-MAE-INPUT       TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           IF      KANACHK-RC          =   ZERO
               MOVE    KANACHK-OUT-INPUT
                                           TO  WRK-OUT-INPUT
           ELSE
               MOVE    WRK-MAE-INPUT       TO  WRK-OUT-INPUT
           END-IF
      *
           .
       2009-HENKAN-EXT.
           EXIT.
      *****************************************************************
      *    ŵԽɤ߹
      *****************************************************************
       900-1900-READ-SEC           SECTION.
      *
      *    ŵԽɤ߹
           MOVE    SPACE                   TO  SYS-1900-REC
           INITIALIZE                          SYS-1900-REC
           MOVE    "1900"                  TO  SYS-1900-KANRICD
           MOVE    "*"                     TO  SYS-1900-KBNCD
           MOVE    SPA-HOSPNUM             TO  SYS-1900-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-STYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-EDYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-EDYUKYMD(7:2)
           MOVE    SYS-1900-REC            TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1900-REC
               IF      SYS-1900-PRTKBN(8) NOT =   SPACE
      *            ŵ̾Խ
                   PERFORM 900-1901-READ-SEC
      *            ŵؽԽ
                   PERFORM 900-1902-READ-SEC
               END-IF
           ELSE
               INITIALIZE                  SYS-1900-REC
           END-IF
           .
      *
       900-1900-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵ̾Խɤ߹
      *****************************************************************
       900-1901-READ-SEC           SECTION.
      *
      *    ŵ̾Խɤ߹
           MOVE    SPACE               TO  SYS-1901-REC
           INITIALIZE                      SYS-1901-REC
           MOVE    "1901"              TO  SYS-1901-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1901-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1901-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-EDYUKYMD(7:2)
           MOVE    SYS-1901-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1901-REC
               MOVE    SYS-1901-HOSPNAME1  TO  WRK-HOSPNAME1
               MOVE    SYS-1901-HOSPNAME2  TO  WRK-HOSPNAME2
           ELSE
               INITIALIZE                  SYS-1901-REC
           END-IF
           .
      *
       900-1901-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؽԽɤ߹
      *****************************************************************
       900-1902-READ-SEC           SECTION.
      *
      *    ŵؽԽɤ߹
           MOVE    SPACE               TO  SYS-1902-REC
           INITIALIZE                      SYS-1902-REC
           MOVE    "1902"              TO  SYS-1902-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1902-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1902-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-EDYUKYMD(7:2)
           MOVE    SYS-1902-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1902-REC
               MOVE    SYS-1902-ADRS1  TO  WRK-HOSPADRS1
               MOVE    SYS-1902-ADRS2  TO  WRK-HOSPADRS2
               MOVE    SYS-1902-TEL    TO  WRK-HOSPTEL
           ELSE
               INITIALIZE                  SYS-1902-REC
           END-IF
           .
      *
       900-1902-READ-EXT.
           EXIT.
      *****************************************************************
      *    ѥ᥿ɹ
      *****************************************************************
       900-BTPARA-READ-N-SEC          SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL  "ORCDBMAIN"           USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  BTPARA-REC
               MOVE    ZERO                TO  FLG-BTPARA
           ELSE
               MOVE    1                   TO  FLG-BTPARA
               INITIALIZE                      BTPARA-REC
           END-IF
      *
           .
       900-BTPARA-READ-N-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC  SECTION.
      *
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           MOVE  "DBOPEN"   TO  MCP-FUNC.
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           MOVE  "DBSTART"  TO  MCP-FUNC.
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC  SECTION.
      *
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           MOVE  "DBCOMMIT"      TO  MCP-FUNC.
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           MOVE  "DBDISCONNECT"  TO  MCP-FUNC.
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       900-DBCLOSE-EXT.
           EXIT.
      *
